package net.rumati.logging.muffero.filter;

import net.rumati.logging.muffero.LogEvent;
import net.rumati.logging.muffero.Priority;
import net.rumati.logging.muffero.appender.Appender;

public class AppenderOutputFilterChain
        implements FilterChain
{
    private final Appender appender;

    public AppenderOutputFilterChain(Appender appender)
    {
        this.appender = appender;
    }

    public boolean isPriorityEnabled(Priority priority)
    {
        return true;
    }

    public void doFilter(LogEvent event)
    {
        appender.append(event);
    }
}
